Package Details: libnotifymm 0.7.0-2

Git Clone URL: https://aur.archlinux.org/libnotifymm.git (read-only)
Package Base: libnotifymm
Description: C++ wrappers for libnotify
Upstream URL: http://www.gnome.org/
Licenses: LGPL
Submitter: sotrud_nik
Maintainer: arthurzam
Last Packager: arthurzam
Votes: 17
Popularity: 0.515665
First Submitted: 2010-05-19 12:27
Last Updated: 2015-12-10 17:27

Latest Comments

jevv commented on 2015-12-11 00:15

Yes, that worked out. Weird though, since it's supposed now c++11 is the default any ways. Thanks.

arthurzam commented on 2015-12-10 17:28

@jevv
I added a temporary fix, by manually adding "-std=c++11" to $CXXFLAGS. It helped for me.

jevv commented on 2015-12-10 17:04

Fail to build with the c++ ABI update on Arch:

/usr/include/c++/5.3.0/bits/c++0x_warning.h:32:2: error: #error This file requires compiler and library support for the ISO C++ 2011 standard. This support is currently experimental, and must be enabled with the -std=c++11 or -std=gnu++11 compiler options.
#error This file requires compiler and library support for the \
^
...

Makefile:457: recipe for target 'notification.lo' failed
make[1]: *** [notification.lo] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-vasqueja/aur-libnotifymm/src/libnotifymm-0.7.0/libnotify/libnotifymm'
Makefile:501: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1

City-busz commented on 2014-05-11 22:39

Updated.

markzz commented on 2014-02-10 22:53

I'm on it.

Joel commented on 2013-11-08 00:22

New version: http://ftp.acc.umu.se/pub/gnome/sources/libnotifymm/0.7/

City-busz commented on 2012-05-06 18:56

Adopted and fixed.

kurrata commented on 2011-05-28 23:29

can't build libnotifymm, here is the cli output for all makepkg
http://pastebin.com/JjA5CDu0